Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface PerformanceMonitorKey

All Superinterfaces:
  java.lang.Cloneable, ManagedEntityKey, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  PerformanceMonitorKeyImpl

public interface PerformanceMonitorKey
extends ManagedEntityKey

This interface is the primary key of a performance monitor instance.

It identifies the created measurement job. The key of the measurement job is a unique identifier of the measurement job.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Method Summary
`java.lang.String` | `getPerformanceMonitorPrimaryKey()` Returns the primary key of the measurement job.
`void` | `setPerformanceMonitorPrimaryKey(java.lang.String key)` Sets the primary key of the measurement job.

Methods inherited from interface com.sun.management.oss.ManagedEntityKey
`clone, getApplicationContext, getApplicationDN, getPrimaryKey, getType, makeApplicationContext, makePrimaryKey, setApplicationContext, setApplicationDN, setPrimaryKey, setType`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Method Detail

### getPerformanceMonitorPrimaryKey

    public java.lang.String getPerformanceMonitorPrimaryKey()

  Returns the primary key of the measurement job.

  Returns:
    String The primary key of the measurement job in string format.
  See Also:
    `setPerformanceMonitorPrimaryKey(java.lang.String)`

### setPerformanceMonitorPrimaryKey

    public void setPerformanceMonitorPrimaryKey(java.lang.String key)
                                         throws java.lang.IllegalArgumentException

  Sets the primary key of the measurement job.

  Parameters:
    `key` - The primary key of the measurement job in string format.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getPerformanceMonitorPrimaryKey()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD